<?php

/**
 * @file
 * Default theme implementation to display a single Drupal page while offline.
 *
 * All the available variables are mirrored in html.tpl.php and page.tpl.php.
 * Some may be blank but they are provided for consistency.
 *
 * @see template_preprocess()
 * @see template_preprocess_maintenance_page()
 *
 * @ingroup themeable
 *
 * Copy the comment below to your settings.php
 * -------------------------------------------
 */

/**
  * note: default theme settings are stored at the rijkshuisstijl.info file.
  */
# $conf['maintenance_head_title'] = 'Site-offline - Dutch government ';
# $conf['maintenance_site_name'] = 'Dutch government';
# $conf['maintenance_site_slogan'] = '';
# $conf['maintenance_content'] = 'Due to technical reasons this site is temporary offline. Sorry for the inconvenience.';
# $conf['maintenance_starterskit_path'] = 'sites/all/libraries/starterskit';

/**
 * end copy
 * -------------------------------------------
 */


//get variables from settings when database is offline.
//default theme settings are stored at the rijkshuisstijl.info file.
if (!isset($head_title)): $head_title = variable_get('maintenance_head_title', NULL); endif;
if (!isset($title)): $content = variable_get('maintenance_title', NULL); endif;
if (!isset($site_name)): $site_name = variable_get('maintenance_site_name', NULL); endif;
if (!isset($site_slogan)): $site_slogan = variable_get('maintenance_site_slogan', NULL) ;endif;
if (!isset($content)): $content = variable_get('maintenance_content', NULL); endif;
// Print the DOCTYPE and html element.
print $doctype . "\n" . $html;
?>
  <head>
    <title><?php print $head_title; ?></title>
    <?php print $head; ?>
    <?php print $styles; ?>
    <?php print $scripts; ?>
  </head>
  <body class="<?php print $classes; ?>" <?php print $attributes;?>>
    <div class="container equalize <?php print theme_get_setting('color_swatch_internet'); ?> <?php print theme_get_setting('system_width'); ?>">
      <?php require_once drupal_get_path('theme', 'rijkshuisstijl') . '/templates/includes/header.tpl.php'; ?>
      <div class="content_wrapper1">
        <div class="content_wrapper2">
          <div class="content">
            <div class="content_main wide" id="hoofd_content">
              <?php print render($title_prefix); ?>
                <?php if ($title): ?><h1><?php print render($title); ?></h1><?php endif; ?>
              <?php print render($title_suffix); ?>
              <?php if($messages): ?>
                <div class="message">
                  <?php print $messages; ?>
                  <?php print render($help); ?>
                  <?php print render($highlighted); ?>
                </div>
              <?php endif; ?>
              <?php print $content; ?>
            </div>
            <?php if(!empty($sidebar_second)): ?>
              <div class="content_add">
                <?php print $sidebar_second; ?>
              </div>
            <?php endif; ?>

            <?php if(!empty($sidebar_first)): ?>
              <div class="nav_sub" id="subnavigatie">
                <?php print $sidebar_first; ?>
              </div>
            <?php endif; ?>
          </div>
        </div>
      </div>
      <?php require_once drupal_get_path('theme', 'rijkshuisstijl') . '/templates/includes/footer.tpl.php'; ?>
    </div>
  </body>
</html>
